Package commoble.morered.api

# Interface ExpandedPowerSupplier

public interface ExpandedPowerSupplier

## Method Summary

Modifier and Type
Method
Description
`int`
`getExpandedPower(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState, net.minecraft.core.Direction wireFace, net.minecraft.core.Direction directionToThis)`
Gets the "expanded power" of the block this wire connector is assigned to.

## Method Details

### getExpandedPower

int getExpandedPower(@Nonnull net.minecraft.world.level.Level world, @Nonnull net.minecraft.core.BlockPos thisPos, @Nonnull net.minecraft.world.level.block.state.BlockState thisState, @Nonnull net.minecraft.core.BlockPos wirePos, @Nonnull net.minecraft.world.level.block.state.BlockState wireState, @Nonnull net.minecraft.core.Direction wireFace, @Nonnull net.minecraft.core.Direction directionToThis)
Gets the "expanded power" of the block this wire connector is assigned to. Internally, wire blocks use 0-31 instead of 0-15 for power storage (outputting half of this value to non-wires) letting them transmit power twice as far

Parameters:
  `world` - The world we're doing power queries in
  `thisPos` - The position of this neighbor block we're querying for power
  `thisState` - The position of this neighbor state we're querying for power
  `wirePos` - The position of a neighboring wire block (not this block)
  `wireState` - The blockstate of the wire block (not this block)
  `wireFace` - The attachment face of the subwire we're supplying power to
  `directionToThis` - The direction from wirePos to neighborPos (e.g. if wirepos is west of neighborpos, this is EAST)
Returns:
  a power value in the range [0, 31]